- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
efl::eo::detail::extension_inheritance< evas::box >::type< U > Struct Template Reference

## Public Member Functions
| operator evas::box () const
void * | smart_data_get ()
void | calculate ()
void | add ()
void | del ()
void | resize (Evas_Coord w_, Evas_Coord h_)
void | align_get (double *horizontal_, double *vertical_)
void | align_set (double horizontal_, double vertical_)
void | padding_get (Evas_Coord *horizontal_, Evas_Coord *vertical_)
void | padding_set (Evas_Coord horizontal_, Evas_Coord vertical_)
void | layout_set (Evas_Object_Box_Layout cb_, const void *data_, Eina_Free_Cb free_data_)
void | layout_horizontal (Evas_Object_Box_Data *priv_, void *data_)
void | layout_vertical (Evas_Object_Box_Data *priv_, void *data_)
void | layout_homogeneous_max_size_horizontal (Evas_Object_Box_Data *priv_, void *data_)
evas::object | internal_remove (evas::object child_)
void | layout_flow_vertical (Evas_Object_Box_Data *priv_, void *data_)
void | internal_option_free (Evas_Object_Box_Option *opt_)
Evas_Object_Box_Option * | insert_after (evas::object child_, const Evas_Object *reference_)
bool | remove_all (bool clear_)
Eina_Iterator * | iterator_new ()
evas::object | add_to ()
Evas_Object_Box_Option * | append (evas::object child_)
int | option_property_id_get (std::string name_)
Evas_Object_Box_Option * | prepend (evas::object child_)
Eina_Accessor * | accessor_new ()
Evas_Object_Box_Option * | internal_append (evas::object child_)
bool | option_property_vset (Evas_Object_Box_Option *opt_, int property_, va_list *args_)
evas::object | internal_remove_at (unsigned int pos_)
bool | remove_at (unsigned int pos_)
bool | option_property_vget (Evas_Object_Box_Option *opt_, int property_, va_list *args_)
Evas_Object_Box_Option * | internal_insert_at (evas::object child_, unsigned int pos_)
Evas_Object_Box_Option * | insert_before (evas::object child_, const Evas_Object *reference_)
std::string | option_property_name_get (int property_)
Evas_Object_Box_Option * | internal_insert_before (evas::object child_, const Evas_Object *reference_)
void | layout_homogeneous_horizontal (Evas_Object_Box_Data *priv_, void *data_)
Evas_Object_Box_Option * | internal_option_new (evas::object child_)
void | layout_homogeneous_max_size_vertical (Evas_Object_Box_Data *priv_, void *data_)
Evas_Object_Box_Option * | internal_insert_after (evas::object child_, const Evas_Object *reference_)
Evas_Object_Box_Option * | insert_at (evas::object child_, unsigned int pos_)
Evas_Object_Box_Option * | internal_prepend (evas::object child_)
bool | remove (evas::object child_)
void | layout_stack (Evas_Object_Box_Data *priv_, void *data_)
void | layout_homogeneous_vertical (Evas_Object_Box_Data *priv_, void *data_)
void | layout_flow_horizontal (Evas_Object_Box_Data *priv_, void *data_)
template<typename F >
::efl::eo::signal_connection | callback_child_added_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_child_added_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_child_removed_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_child_removed_call (T *info)